<div class="m-lg-3 ">
  <h1 [translate]="'iProjects.ProjectCompletedTitle'"></h1>

  <!--pre-loading state-->
  <div class="row" *ngIf="isLoading">

    <div class="col-md-1 border-right">
      <div >
        <div class="ph-row">
          <div class="ph-col-12 big"></div>
          <div class="ph-col-12 big"></div>
          <div class="ph-col-12 big"></div>
        </div>
      </div>
    </div>

    <div class="col-md-11">
      <div class="card mb-3 mt-5">
        <div class="card-body">
          <div class="ph-col-12">
            <div class="ph-row">
              <div class="ph-col-8 big"></div>
            </div>
            <div class="ph-row">
              <div class="ph-col-2 big"></div>
              <div class="ph-col-2 ml-3 big"></div>
              <div class="ph-col-2 ml-3 big"></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!--end pre-loading state-->

  <div class="row mt-5" *ngIf="completedProjects">
    <!-- left menu -->
    <div class="pr-4 border-right d-none d-sm-block">
      <div class="row">
        <ul class="menu-left pl-3">
          <li *ngFor="let years of completedProjects | groupBy: 'startYear.alternateName' | values; let i = index;">
            <a class="mb-4 fragment-link" [class.active]="selectedIndex === i" (click)="setIndex(i)"
               [routerLink]="['/projects/completed']" fragment="d{{years[0]?.startYear?.id}}" *ngIf="years[0].startYear">
              {{years[0]?.startYear?.alternateName}}
            </a>
            <a class="mb-4 fragment-link" [class.active]="selectedIndex === i" (click)="setIndex(i)"
               [routerLink]="['/projects/completed']" fragment="unknown" *ngIf="!years[0].startYear">
              <span [translate]="'iProjects.Unknown'"></span>
            </a>
          </li>
        </ul>
      </div>
    </div>
    <!-- end left menu -->

    <!-- content -->
    <div class="main inner__content px-md-5 px-2" id="inner__content" (scroll)="scrollHandler($event)">
        <div *ngFor="let years of completedProjects | groupBy: 'startYear.alternateName' | values" class="years">
        <h3 class="mb-4" *ngIf="years[0].startYear" id="d{{years[0]?.startYear?.id}}">{{years[0]?.startYear?.alternateName}}</h3>
        <h3 class="mb-4" *ngIf="!years[0].startYear" id="unknown"><span [translate]="'iProjects.Unknown'"></span></h3>

        <div class="card mb-4" *ngFor="let project of years"> <!-- LOOP WITH CARDS -->
            <div class="card-body">
              <div class="row">
                <div class="container-fluid pr-3">
                  <div class="d-flex justify-content-between"  *ngIf="project.students[0].formattedGrade > 5 && project?.students && project?.students.length==1">
                    <div class="">
                      <div class="row">
                        <h5>{{ project?.name }} {{ project?.status.alternatename }}</h5>
                      </div>
                      <div class="row mb-2">
                        <span class="text-secondary mr-3"><i class="fa fa-flag pr-1"></i>{{ project?.type.name }}</span>
                        <span class="text-secondary mr-3"><i class="fa fa-calendar pr-1"></i>{{project?.endDate | localizedDate: 'shortDate'}}</span>
                      </div>
                      <div class="row">
                        <span class="text-secondary mr-3"><i class="fa fa-graduation-cap pr-1"></i> {{ project.students[0].student.person?.name  }} </span>
                        <span class="text-secondary mr-3"><i class="fa fa-graduation-cap pr-1"></i> <span [translate]="'iProjects.IdentifierTitle'"></span> : {{project.students[0].student?.studentIdentifier}} </span>
                        <span class="text-secondary mr-3"><i class="fa fa-graduation-cap pr-1"></i> {{ project.students[0].student?.graduationTitle  }} </span>
                      </div>
                    </div>
                    <div class="d-flex justify-content-end">
                      <div class="d-flex align-items-center">
                        <span class="text-secondary align-middle mr-3 grade-title d-none d-sm-none d-md-block" [translate]="'iProjects.GradeTitle'"></span>
                      </div>
                      <div class="d-flex align-items-center">
                        <span [ngClass]="(project.students[0].isPassed)?'passed-grade':'failed-grade'">{{ project.students[0].formattedGrade }}</span>
                      </div>
                    </div>
                  </div>

                  <div *ngIf="project.students[0].formattedGrade <= 5 && project?.students && project?.students.length==1">

                      <div class="row">
                        <h5>{{ project?.name }}</h5>
                      </div>

                      <div class="d-flex justify-content-between mb-2">
                        <div class="">
                          <div class="row">
                            <span class="text-secondary mr-3"><i class="fa fa-flag pr-1"></i>{{ project?.type }}</span>
                            <span class="text-secondary mr-3"><i class="fa fa-calendar pr-1"></i>{{project?.endDate | localizedDate: 'shortDate'}}</span>
                          </div>
                        </div>
                        <div class="d-flex justify-content-end">
                            <span class="text-secondary grade-title" [translate]="'iProjects.GradeTitle'"></span>
                        </div>
                      </div>

                      <div class="d-flex justify-content-between mb-2 border-top pt-1" *ngFor="let student of project.students; let isLast=last">
                        <div class="row">
                          <span class="text-secondary mr-3"><i class="fa fa-graduation-cap pr-1"></i> {{ student.student.person?.name }} </span>
                          <span class="text-secondary mr-3"><i class="fa fa-graduation-cap pr-1"></i> <span [translate]="'iProjects.IdentifierTitle'"></span> : {{student.student?.studentIdentifier}}></span>
                          <span class="text-secondary mr-3"><i class="fa fa-graduation-cap pr-1"></i> {{ student.student?.graduationTitle }} </span>
                        </div>
                        <div class="d-flex justify-content-end">
                          <span class="grade-small" [ngClass]="(project.students[0].isPassed)?'passed-grade':'failed-grade'">{{ project.students[0].formattedGrade }}</span>
                        </div>
                      </div>

                  </div>
                </div>
              </div>
            </div>
          </div>

      </div>
    </div>
    <!-- end content -->

    <!-- empty text -->
    <div *ngIf="!isLoading && completedProjects && completedProjects.length === 0">
      <div class="info-text" [translate]="'iProjects.ProjectCompletedEmpty'"></div>
    </div>
    <!-- end empty text -->

  </div>
</div>

